const request = jest.genMockFromModule('request');

request.post = function ({ url, formData }, callback) {
  // match opts.url against regex of how API request should look
  const urlMatch = /https:\/\/[a-zA-z0-9]+:[a-zA-z0-9]+@[a-zA-z0-9]+\/deployments\/pagebuilder\/bundles/;
  if (!url.match(urlMatch)) {
    callback(
      new Error('URL did not match API endpoint pattern'),
      { statusCode: 500 }
    );
  } else if (!formData.name || !formData.bundle) {
    callback(
      new Error('POST data schema does not match API'),
      { statusCode: 500 }
    );
  } else {
    callback(null, { statusCode: 200 });
  }
};

module.exports = request;

