const chalk = require('chalk');

exports.deployError = function (error) {
  console.log(`${chalk.red('Deployment error has occurred!')}`);
  console.log(`${chalk.red(error)}`);
};

exports.deploySuccess = function ({
  response,
  body,
  name,
  environment
}) {
  console.log(`${chalk.green(`Response: ${response}, ${body}`)}`);
  console.log(`${chalk.green(`Deployment of ${name} to ${environment} complete. The bundle can now be promoted in the PageBuilder deployer window.`)}`);
};

exports.deployInitialize = function (path, environment) {
  console.log(`${chalk.green('Deploying to PageBuilder with')} ${path}`);
  console.log(`${chalk.green(`Deploying to ${environment} environment...`)}`);
};

exports.bundleInitialize = function () {
  console.log(`${chalk.green('Bundling the project to a zip file...')} `);
};

exports.bundleError = function (err) {
  console.error(err, 'Aborting...');
};

exports.bundleSuccess = function (bundleFile) {
  console.log(`${chalk.green('Bundle complete! Bundle zip drive saved to')} ${bundleFile}`);
};

exports.zipEach = function (path) {
  console.log(`${chalk.yellow(`${path} added to zip`)}`);
};
